VULKAN_HPP_NAMESPACE::ValidationFlagsEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ValidationFlagsEXT (uint32_t disabledValidationCheckCount_=0, const ValidationCheckEXT *pDisabledValidationChecks_=nullptr)
| ValidationFlagsEXT (VkValidationFlagsEXT const &rhs)
ValidationFlagsEXT & | operator= (VkValidationFlagsEXT const &rhs)
ValidationFlagsEXT & | setPNext (const void *pNext_)
ValidationFlagsEXT & | setDisabledValidationCheckCount (uint32_t disabledValidationCheckCount_)
ValidationFlagsEXT & | setPDisabledValidationChecks (const ValidationCheckEXT *pDisabledValidationChecks_)
| operator VkValidationFlagsEXT const & () const
| operator VkValidationFlagsEXT & ()
bool | operator== (ValidationFlagsEXT const &rhs) const
bool | operator!= (ValidationFlagsEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | disabledValidationCheckCount
const ValidationCheckEXT * | pDisabledValidationChecks

## Private Attributes

StructureType | sType = StructureType::eValidationFlagsEXT

## Detailed Description

Definition at line 30375 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ValidationFlagsEXT() [1/2]

VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::ValidationFlagsEXT | ( | uint32_t | disabledValidationCheckCount_ = `0`,
|  | const ValidationCheckEXT * | pDisabledValidationChecks_ = `nullptr`
| ) |  |

inline

Definition at line 30377 of file vulkan.hpp.

: disabledValidationCheckCount( disabledValidationCheckCount_ )
, pDisabledValidationChecks( pDisabledValidationChecks_ )
{
}

## ValidationFlagsEXT() [2/2]

VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::ValidationFlagsEXT | ( | VkValidationFlagsEXT const & | rhs | ) |

inline

Definition at line 30384 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ValidationFlagsEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkValidationFlagsEXT &()

VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::operator VkValidationFlagsEXT & | ( |  | ) |

inline

Definition at line 30417 of file vulkan.hpp.

{
return *reinterpret_cast<VkValidationFlagsEXT*>(this);
}

## operator VkValidationFlagsEXT const &()

VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::operator VkValidationFlagsEXT const & | ( |  | ) | const

inline

Definition at line 30412 of file vulkan.hpp.

{
return *reinterpret_cast<const VkValidationFlagsEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::operator!= | ( | ValidationFlagsEXT const & | rhs | ) | const

inline

Definition at line 30430 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ValidationFlagsEXT& VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::operator= | ( | VkValidationFlagsEXT const & | rhs | ) |

inline

Definition at line 30389 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ValidationFlagsEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::operator== | ( | ValidationFlagsEXT const & | rhs | ) | const

inline

Definition at line 30422 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( disabledValidationCheckCount == rhs.disabledValidationCheckCount )
&& ( pDisabledValidationChecks == rhs.pDisabledValidationChecks );
}

References disabledValidationCheckCount, pDisabledValidationChecks, pNext, and sType.

Referenced by operator!=().

## setDisabledValidationCheckCount()

ValidationFlagsEXT& VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::setDisabledValidationCheckCount | ( | uint32_t | disabledValidationCheckCount_ | ) |

inline

Definition at line 30400 of file vulkan.hpp.

{
disabledValidationCheckCount = disabledValidationCheckCount_;
return *this;
}

References disabledValidationCheckCount.

## setPDisabledValidationChecks()

ValidationFlagsEXT& VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::setPDisabledValidationChecks | ( | const ValidationCheckEXT * | pDisabledValidationChecks_ | ) |

inline

Definition at line 30406 of file vulkan.hpp.

{
pDisabledValidationChecks = pDisabledValidationChecks_;
return *this;
}

References pDisabledValidationChecks.

## setPNext()

ValidationFlagsEXT& VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 30394 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## disabledValidationCheckCount

uint32_t VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::disabledValidationCheckCount

Definition at line 30440 of file vulkan.hpp.

Referenced by operator==(), and setDisabledValidationCheckCount().

## pDisabledValidationChecks

const ValidationCheckEXT* VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::pDisabledValidationChecks

Definition at line 30441 of file vulkan.hpp.

Referenced by operator==(), and setPDisabledValidationChecks().

## pNext

const void* VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::pNext = nullptr

Definition at line 30439 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::sType = StructureType::eValidationFlagsEXT

private

Definition at line 30436 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkValidationFlagsEXT
Definition: vulkan_core.h:6674
VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::pDisabledValidationChecks
const ValidationCheckEXT * pDisabledValidationChecks
Definition: vulkan.hpp:30441
VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::sType
StructureType sType
Definition: vulkan.hpp:30436
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::pNext
const void * pNext
Definition: vulkan.hpp:30439
VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::disabledValidationCheckCount
uint32_t disabledValidationCheckCount
Definition: vulkan.hpp:30440
VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::ValidationFlagsEXT
ValidationFlagsEXT(uint32_t disabledValidationCheckCount_=0, const ValidationCheckEXT *pDisabledValidationChecks_=nullptr)
Definition: vulkan.hpp:30377
VULKAN_HPP_NAMESPACE::ValidationFlagsEXT::operator==
bool operator==(ValidationFlagsEXT const &rhs) const
Definition: vulkan.hpp:30422